luksdemount

NAME
luksdemount - mounts a Linux Unified Key Setup (LUKS) Disk Encryption volume

SYNOPSIS
luksdemount [-k keys] [-o offset] [-p password] [-X extended_options] [-hvV] source

DESCRIPTION
luksdemount is a utility to mount a Linux Unified Key Setup (LUKS) Disk Encryption volume

luksdemount is part of the libluksde package. libluksde is a library to access the Linux Unified Key Setup (LUKS) Disk Encryption format

source is the source file.

The options are as follows:

-h  shows this help

-k keys
    the master key, formatted in base16

-o offset
    specify the volume offset

-p password
    specify the password

-v  verbose output to stderr

-V  print version

-X extended_options
    extended options to pass to sub system

ENVIRONMENT
None

FILES
None

EXAMPLES

    # luksdemount -p Password /dev/sda1
    luksdemount 20130704

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libluksde/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2013-2020, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
luksdeinfo(1)